﻿#pragma once

#include <string>
#include <vector>
#include "../../Datastructure/CarDealerScheme/CarDealerScheme.h"
#include "../../Datastructure/CarDealerAchievement/CarDealerAchievement.h"
#include "../../Datastructure/RepairOrder/RepairOrder.h"

/************************************************
* \brief 
* \param filePath 
* \param sheetIndex 
* \param startRowIndex 
* \param schemeVector 
************************************************/
void LoadCarDealerSchemeFromXlsx( const std::wstring &           filePath,
                                  unsigned int                   sheetIndex,
                                  unsigned int                   startRowIndex,
                                  std::vector<CarDealerScheme> & schemeVector );

/************************************************
* \brief 
* \param filePath 
* \param sheetIndex 
* \param startRowIndex 
* \param achievementVector 
************************************************/
void LoadCarDealerAchievementFromXlsx( const std::wstring &                filePath,
                                       unsigned int                        sheetIndex,
                                       unsigned int                        startRowIndex,
                                       std::vector<CarDealerAchievement> & achievementVector );

/************************************************
* \brief 
* \param filePath 
* \param sheetIndex 
* \param startRowIndex 
* \param orderVector 
************************************************/
void LoadRepairOrderFromXlsx( const std::wstring &       filePath,
                              unsigned int               sheetIndex,
                              unsigned int               startRowIndex,
                              std::vector<RepairOrder> & orderVector );

// void LoadRepairOrderFromXls( const std::wstring &       filePath,
//                              unsigned                   sheetIndex,
//                              unsigned                   startRowIndex,
//                              std::vector<RepairOrder> & orderVector );
